defmodule Towerops.Repo.Migrations.AddMikrotikCredentialsToOrganizations do
  use Ecto.Migration

  def change do
    alter table(:organizations) do
      add :mikrotik_username, :string
      add :mikrotik_password, :binary
      add :mikrotik_port, :integer, default: 8729
      add :mikrotik_use_ssl, :boolean, default: true
      add :mikrotik_enabled, :boolean, default: false
    end
  end
end
